import { ecs } from "../../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";
import { VM } from "../../../../../extensions/oops-plugin-framework/assets/libs/model-view/ViewModel";




@ecs.register('GridModel')
export class GridModelComp extends ecs.Comp {


    private vm: any = {};

    private _color: string = null

    /** 颜色 */
    get color(): string {
        return this._color;
    }
    set color(value: string) {
        this._color = value;
    }
    // vmAdd() {
    //     VM.add(this.vm, "Grid");
    // }

    // vmRemove() {
    //     this.vm.reset();
    //     VM.remove("Grid");
    // }

    reset() {
        // this.vmRemove();
    }
}
